/*
 * VEML6046X00.h
 *
 * Created  : 6 March 2023
 * Modified : 14 June 2023
 * Author   : HWanyusof
 * Version	: 1.0
 */

//Define Slave Address
#define VEML6046X00_Slave_Address 0x29


//Register Addresses (Page 8 Table "COMMAND CODE AND REGISTER DESCRIPTION" Datasheet)
#define VEML6046X00_RGB_CONF_0		0x00
#define VEML6046X00_RGB_CONF_1		0x01
#define VEML6046X00_RGB_THDH_L		0x04
#define VEML6046X00_RGB_THDH_H		0x05
#define VEML6046X00_RGB_THDL_L	    0x06
#define VEML6046X00_RGB_THDL_H	    0x07
#define VEML6046X00_R_DATA_L	    0x10
#define VEML6046X00_R_DATA_H	    0x11
#define VEML6046X00_G_DATA_L	    0x12
#define VEML6046X00_G_DATA_H	    0x13
#define VEML6046X00_B_DATA_L	    0x14
#define VEML6046X00_B_DATA_H	    0x15
#define VEML6046X00_IR_DATA_L	    0x16
#define VEML6046X00_IR_DATA_H	    0x17
#define VEML6046X00_ID_L		    0x18
#define VEML6046X00_ID_H		    0x19
#define VEML6046X00_INT_FLAG		0x1B

//Command Register: RGB_CONF_0 (Page 8 Table 2 Datasheet))
#define VEML6046X00_RGB_IT_3_125ms	0x00<<4
#define VEML6046X00_RGB_IT_6_25ms	0x01<<4
#define VEML6046X00_RGB_IT_12_5ms	0x02<<4
#define VEML6046X00_RGB_IT_25ms     0x03<<4
#define VEML6046X00_RGB_IT_50ms	    0x04<<4
#define VEML6046X00_RGB_IT_100ms	0x05<<4
#define VEML6046X00_RGB_IT_200ms	0x06<<4
#define VEML6046X00_RGB_IT_400ms	0x07<<4
#define VEML6046X00_RGB_AUTO_MODE	0x00<<3
#define VEML6046X00_RGB_AF_MODE		0x01<<3
#define VEML6046X00_RGB_TRIG_DIS	0x00<<2
#define VEML6046X00_RGB_TRIG_EN	    0x01<<2
#define VEML6046X00_RGB_INT_DIS     0x00<<1
#define VEML6046X00_RGB_INT_EN	    0x01<<1
#define VEML6046X00_RGB_ON_0_EN		0x00<<0
#define VEML6046X00_RGB_ON_0_DIS	0x01<<0

//Command Register: RGB_CONF_1 (Page 9 Table 3 Datasheet))
#define VEML6046X00_RGB_ON_1_EN		0x00<<7
#define VEML6046X00_RGB_ON_1_DIS	0x01<<7
#define VEML6046X00_PD_DIV_FULL  	0x00<<6
#define VEML6046X00_PD_DIV_HALF		0x01<<6
#define VEML6046X00_RGB_GAIN_x1	    0x00<<3
#define VEML6046X00_RGB_GAIN_x2  	0x01<<3
#define VEML6046X00_RGB_GAIN_x0_66  0x02<<3
#define VEML6046X00_RGB_GAIN_x0_5	0x03<<3
#define VEML6046X00_RGB_PERS_1		0x00<<1
#define VEML6046X00_RGB_PERS_2		0x01<<1
#define VEML6046X00_RGB_PERS_4		0x02<<1
#define VEML6046X00_RGB_PERS_8		0x03<<1
#define VEML6046X00_RGB_CAL_OFF  	0x00<<0
#define VEML6046X00_RGB_CAL_ON 	    0x01<<0
